//#region libs/shared/common/src/functions/pre-transaction/shouldPatchAccessTokenMerkleTree.ts
var e = async (e, t, n, r, i) => {
	let [a, o] = await Promise.all([e.checkTokenRegistry(t, n, r), e.checkAccessToken(t, i)]);
	return {
		patchAccessTokenMerkleTree: a && !o,
		hasAccessToken: o,
		kycRequired: a
	};
};
//#endregion
export { e as shouldPatchAccessTokenMerkleTree };
